[arch-commits] Commit in bind/repos (10 files)

Sébastien Luttringer seblu at archlinux.org
Sat Jul 18 01:00:55 UTC 2020


    Date: Saturday, July 18, 2020 @ 01:00:54
  Author: seblu
Revision: 392261

archrelease: copy trunk to testing-x86_64

Added:
  bind/repos/testing-x86_64/
  bind/repos/testing-x86_64/127.0.0.zone
    (from rev 392260, bind/trunk/127.0.0.zone)
  bind/repos/testing-x86_64/PKGBUILD
    (from rev 392260, bind/trunk/PKGBUILD)
  bind/repos/testing-x86_64/bind.install
    (from rev 392260, bind/trunk/bind.install)
  bind/repos/testing-x86_64/localhost.ip6.zone
    (from rev 392260, bind/trunk/localhost.ip6.zone)
  bind/repos/testing-x86_64/localhost.zone
    (from rev 392260, bind/trunk/localhost.zone)
  bind/repos/testing-x86_64/named.conf
    (from rev 392260, bind/trunk/named.conf)
  bind/repos/testing-x86_64/named.service
    (from rev 392260, bind/trunk/named.service)
  bind/repos/testing-x86_64/sysusers.conf
    (from rev 392260, bind/trunk/sysusers.conf)
  bind/repos/testing-x86_64/tmpfiles.conf
    (from rev 392260, bind/trunk/tmpfiles.conf)

--------------------+
 127.0.0.zone       |   10 ++++
 PKGBUILD           |  107 +++++++++++++++++++++++++++++++++++++++++++++++++++
 bind.install       |   10 ++++
 localhost.ip6.zone |   10 ++++
 localhost.zone     |   11 +++++
 named.conf         |   57 +++++++++++++++++++++++++++
 named.service      |   10 ++++
 sysusers.conf      |    1 
 tmpfiles.conf      |    1 
 9 files changed, 217 insertions(+)

Copied: bind/repos/testing-x86_64/127.0.0.zone (from rev 392260, bind/trunk/127.0.0.zone)
===================================================================
--- testing-x86_64/127.0.0.zone	                        (rev 0)
+++ testing-x86_64/127.0.0.zone	2020-07-18 01:00:54 UTC (rev 392261)
@@ -0,0 +1,10 @@
+@                               1D IN SOA   localhost. root.localhost. (
+                                    42    ; serial (yyyymmdd##)
+                                    3H    ; refresh
+                                    15M   ; retry
+                                    1W    ; expiry
+                                    1D )  ; minimum ttl
+
+                                1D  IN  NS      localhost.
+
+1.0.0.127.in-addr.arpa.         1D  IN  PTR     localhost.

Copied: bind/repos/testing-x86_64/PKGBUILD (from rev 392260, bind/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2020-07-18 01:00:54 UTC (rev 392261)
@@ -0,0 +1,107 @@
+# Maintainer: Sébastien Luttringer
+# Contributor: Gaetan Bisson <bisson at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+# Contributor: Mario Vazquez <mario_vazq at hotmail.com>
+
+_pkgver=9.16.5
+pkgname=bind
+pkgver=${_pkgver//-/.}
+pkgrel=2
+pkgdesc='The ISC DNS Server'
+url='https://www.isc.org/software/bind/'
+license=('MPL2')
+arch=('x86_64')
+options=('!emptydirs')
+makedepends=('libcap' 'libxml2' 'zlib' 'krb5' 'e2fsprogs' 'openssl' 'readline'
+  'libidn2' 'dnssec-anchors' 'python' 'json-c' 'python-ply' 'lmdb' 'zlib' 'icu'
+  'xz' 'libmaxminddb' 'libnsl' 'libuv' 'python-sphinx')
+depends=('bash' 'dnssec-anchors' 'e2fsprogs' 'glibc' 'icu' 'libedit' 'json-c'
+  'krb5' 'libcap' 'libidn2' 'libmaxminddb' 'libnsl' 'libuv' 'libxml2' 'lmdb'
+  'openssl' 'python' 'python-ply' 'readline' 'xz' 'zlib')
+conflicts=('bind-tools' 'dnsutils')
+replaces=('bind-tools' 'dnsutils' 'host')
+provides=('bind-tools' 'dnsutils' 'dns-server')
+backup=('etc/named.conf'
+        'var/named/127.0.0.zone'
+        'var/named/localhost.zone'
+        'var/named/localhost.ip6.zone')
+install=bind.install
+validpgpkeys=('AE3FAC796711EC59FC007AA474BB6B9A4CBB3D38') #ISC Code Signing Key 2019 – 2020 (codesign at isc.org)
+source=("https://ftp.isc.org/isc/bind9/${_pkgver}/bind-${_pkgver}.tar.xz"{,.asc}
+        'tmpfiles.conf'
+        'sysusers.conf'
+        'named.conf'
+        'named.service'
+        'localhost.zone'
+        'localhost.ip6.zone'
+        '127.0.0.zone')
+sha256sums=('6378b3e51fef11a8be4794dc48e8111ba92d211c0dfd129a0c296ed06a3dc075'
+            'SKIP'
+            'f0423c4ee8495da487e07e9144bec1d25f46a0cd2dfa7cfd7a761ef15bfefc98'
+            '7c0acefcfcc3ae093550caed7ec90fe84bec8f7477459ffa7e71dda76bcbdb2c'
+            'e08a01d41b18bdb771d534daca99642314939aafdb088e5cfcf0ef2d33f8e7eb'
+            '3f0f8db0a1deae270dd166b4750be7c1041b4b44891176f35a8df7dd55d24d34'
+            '0011708e516128647dd25b59b6ebc465f36e85bbe0a8fbdc3eb04b7f28c2197f'
+            'c06fc270e32a843c8b6d86335a2ec607d405dfba6875de8d8a9abde39a9e2c17'
+            'b88fd2b99e7d42d414b329b814b9ff3304fa0ef9c67df81bde235bbfa0f3a3b8')
+
+prepare() {
+  cd bind-$_pkgver
+  # apply patch from the source array (should be a pacman feature)
+  local src
+  for src in "${source[@]}"; do
+    src="${src%%::*}"
+    src="${src##*/}"
+    [[ $src = *.patch ]] || continue
+    echo "Applying patch $src..."
+    patch -Np1 < "../$src"
+  done
+}
+
+build() {
+  cd bind-$_pkgver
+  export CFLAGS
+  # support to chase DNSSEC signature chains
+  CFLAGS+=' -DDIG_SIGCHASE'
+  # compile with gcc10, https://gcc.gnu.org/gcc-10/porting_to.html
+  CFLAGS+=' -fcommon'
+  ./configure \
+    --prefix=/usr \
+    --sysconfdir=/etc \
+    --sbindir=/usr/bin \
+    --localstatedir=/var \
+    --disable-static \
+    --enable-fixed-rrset \
+    --enable-full-report \
+    --enable-dnsrps \
+    --with-python=/usr/bin/python \
+    --with-maxminddb \
+    --with-openssl \
+    --with-libidn2 \
+    --with-json-c \
+    --with-libxml2 \
+    --with-lmdb \
+    --with-libtool
+  make
+}
+
+package() {
+  cd "bind-$_pkgver"
+  install -dm755 "$pkgdir/usr/share/licenses/$pkgname/"
+  install -Dm644 LICENSE COPYRIGHT "$pkgdir/usr/share/licenses/$pkgname/"
+  make DESTDIR="$pkgdir" install
+
+  cd "$srcdir"
+  install -D -m644 tmpfiles.conf "$pkgdir/usr/lib/tmpfiles.d/$pkgname.conf"
+  install -D -m644 sysusers.conf "$pkgdir/usr/lib/sysusers.d/$pkgname.conf"
+
+  install -D -m644 named.service "$pkgdir/usr/lib/systemd/system/named.service"
+  install -D -m640 -o 0 -g 40 named.conf "$pkgdir/etc/named.conf"
+
+  install -d -m770 -o 0 -g 40 "$pkgdir/var/named"
+  install -m640 -o 0 -g 40 localhost.zone "$pkgdir/var/named"
+  install -m640 -o 0 -g 40 localhost.ip6.zone "$pkgdir/var/named"
+  install -m640 -o 0 -g 40 127.0.0.zone "$pkgdir/var/named"
+}
+
+# vim:set ts=2 sw=2 et:

Copied: bind/repos/testing-x86_64/bind.install (from rev 392260, bind/trunk/bind.install)
===================================================================
--- testing-x86_64/bind.install	                        (rev 0)
+++ testing-x86_64/bind.install	2020-07-18 01:00:54 UTC (rev 392261)
@@ -0,0 +1,10 @@
+## arg 1:  the new package version
+## arg 2:  the old package version
+post_upgrade() {
+  (( $(vercmp "$2" '9.14.8-2') > 0 )) || cat <<EOF
+==> Switched to geoip2 databases.
+==> Remember to update your configuration if you use geoip features.
+EOF
+}
+
+# vim:set ts=2 sw=2 ft=sh et:

Copied: bind/repos/testing-x86_64/localhost.ip6.zone (from rev 392260, bind/trunk/localhost.ip6.zone)
===================================================================
--- testing-x86_64/localhost.ip6.zone	                        (rev 0)
+++ testing-x86_64/localhost.ip6.zone	2020-07-18 01:00:54 UTC (rev 392261)
@@ -0,0 +1,10 @@
+@                               1D IN SOA   localhost. root.localhost. (
+                                    42    ; serial (yyyymmdd##)
+                                    3H    ; refresh
+                                    15M   ; retry
+                                    1W    ; expiry
+                                    1D )  ; minimum ttl
+
+                                1D  IN  NS      localhost.
+
+1.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.ip6.arpa.   1D  IN  PTR localhost.

Copied: bind/repos/testing-x86_64/localhost.zone (from rev 392260, bind/trunk/localhost.zone)
===================================================================
--- testing-x86_64/localhost.zone	                        (rev 0)
+++ testing-x86_64/localhost.zone	2020-07-18 01:00:54 UTC (rev 392261)
@@ -0,0 +1,11 @@
+@                               1D IN SOA   localhost. root.localhost. (
+                                    42    ; serial (yyyymmdd##)
+                                    3H    ; refresh
+                                    15M   ; retry
+                                    1W    ; expiry
+                                    1D )  ; minimum ttl
+
+                                1D  IN  NS      localhost.
+
+localhost.                      1D  IN  A       127.0.0.1
+localhost.                      1D  IN  AAAA    ::1

Copied: bind/repos/testing-x86_64/named.conf (from rev 392260, bind/trunk/named.conf)
===================================================================
--- testing-x86_64/named.conf	                        (rev 0)
+++ testing-x86_64/named.conf	2020-07-18 01:00:54 UTC (rev 392261)
@@ -0,0 +1,57 @@
+// vim:set ts=4 sw=4 et:
+
+options {
+    directory "/var/named";
+    pid-file "/run/named/named.pid";
+
+    // Uncomment these to enable IPv6 connections support
+    // IPv4 will still work:
+    //  listen-on-v6 { any; };
+    // Add this for no IPv4:
+    //  listen-on { none; };
+
+    allow-recursion { 127.0.0.1; };
+    allow-transfer { none; };
+    allow-update { none; };
+
+    version none;
+    hostname none;
+    server-id none;
+};
+
+zone "localhost" IN {
+    type master;
+    file "localhost.zone";
+};
+
+zone "0.0.127.in-addr.arpa" IN {
+    type master;
+    file "127.0.0.zone";
+};
+
+zone "1.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.ip6.arpa" {
+    type master;
+    file "localhost.ip6.zone";
+};
+
+//zone "example.org" IN {
+//    type slave;
+//    file "example.zone";
+//    masters {
+//        192.168.1.100;
+//    };
+//    allow-query { any; };
+//    allow-transfer { any; };
+//};
+
+//logging {
+//    channel xfer-log {
+//        file "/var/log/named.log";
+//            print-category yes;
+//            print-severity yes;
+//            severity info;
+//        };
+//        category xfer-in { xfer-log; };
+//        category xfer-out { xfer-log; };
+//        category notify { xfer-log; };
+//};

Copied: bind/repos/testing-x86_64/named.service (from rev 392260, bind/trunk/named.service)
===================================================================
--- testing-x86_64/named.service	                        (rev 0)
+++ testing-x86_64/named.service	2020-07-18 01:00:54 UTC (rev 392261)
@@ -0,0 +1,10 @@
+[Unit]
+Description=Internet domain name server
+After=network.target
+
+[Service]
+ExecStart=/usr/bin/named -f -u named
+ExecReload=/usr/bin/kill -HUP $MAINPID
+
+[Install]
+WantedBy=multi-user.target

Copied: bind/repos/testing-x86_64/sysusers.conf (from rev 392260, bind/trunk/sysusers.conf)
===================================================================
--- testing-x86_64/sysusers.conf	                        (rev 0)
+++ testing-x86_64/sysusers.conf	2020-07-18 01:00:54 UTC (rev 392261)
@@ -0,0 +1 @@
+u named 40 "BIND DNS Server" -

Copied: bind/repos/testing-x86_64/tmpfiles.conf (from rev 392260, bind/trunk/tmpfiles.conf)
===================================================================
--- testing-x86_64/tmpfiles.conf	                        (rev 0)
+++ testing-x86_64/tmpfiles.conf	2020-07-18 01:00:54 UTC (rev 392261)
@@ -0,0 +1 @@
+d /run/named 0750 named named -


More information about the arch-commits mailing list